#include <bits/stdc++.h>
using namespace std;
int main(){
long long b1,b2;
long long zbir1;
bool promena=true;
cin >> b1 >> b2;
if(b2!=1 && b1==1){
zbir1=b2;
promena=false;
}
else if(b1!=1 && b2==1){
zbir1=b1;
promena=false;
}
else if(b2==1 && b1==1){
cout << '1' << endl;
exit(0);
}
long long povrsina;
povrsina=b1*b2;
if(promena==true){
long long unutrasnjost;
unutrasnjost=(b1-2)*(b2-2);
zbir1=povrsina-unutrasnjost;
}
long long zbir2;
zbir2=(zbir1)+((povrsina-zbir1)/2);
cout << zbir2;
cout << endl;
return 0;
}